When compiling Wisi with AdaCore wavefronts 21.0w, we get errors below.  This patch fixes the accessibility erors by
modifying 'Access to 'Unrestricted_Access or 'Unchecked_Access.

    wisi.ads:363:04: warning: in instantiation at sal-gen_unbounded_definite_vectors.adb:448 [enabled by default]
    wisi.ads:363:04: warning: non-local pointer cannot point to local object [enabled by default]
    wisi.ads:363:04: warning: Program_Error will be raised at run time [enabled by default]
    wisi.ads:363:04: warning: in instantiation at sal-gen_unbounded_definite_vectors.adb:504 [enabled by default]
    wisi.ads:363:04: warning: non-local pointer cannot point to local object [enabled by default]
    wisi.ads:363:04: warning: Program_Error will be raised at run time [enabled by default]
    sal-gen_unbounded_definite_vectors.adb:448:18: non-local pointer cannot point to local object
    sal-gen_unbounded_definite_vectors.adb:504:18: non-local pointer cannot point to local object
    gprbuild: *** compilation phase failed

--- sal-gen_unbounded_definite_red_black_trees.adb.orig	2020-04-29 12:48:00.761522830 +0000
+++ sal-gen_unbounded_definite_red_black_trees.adb	2020-04-29 12:50:06.080057764 +0000
@@ -318,7 +318,7 @@
       if Node = null then
          raise Not_Found;
       else
-         return (Element => Node.all.Element'Access, Dummy => 1);
+         return (Element => Node.all.Element'Unrestricted_Access, Dummy => 1);
       end if;
    end Constant_Reference;
 
@@ -342,7 +342,7 @@
       if Node = null then
          raise Not_Found;
       else
-         return (Element => Node.all.Element'Access, Dummy => 1);
+         return (Element => Node.all.Element'Unrestricted_Access, Dummy => 1);
       end if;
    end Variable_Reference;
 
--- sal-gen_unbounded_definite_vectors.adb.orig	2020-04-29 12:50:51.111890648 +0000
+++ sal-gen_unbounded_definite_vectors.adb	2020-04-29 12:51:34.100731114 +0000
@@ -445,7 +445,7 @@
       if Container.First = No_Index then
          return No_Element;
       else
-         return (Container'Access, To_Peek_Type (Container.First));
+         return (Container'Unchecked_Access, To_Peek_Type (Container.First));
       end if;
    end First;
 
@@ -501,7 +501,7 @@
       if Index not in Container.First .. Container.Last then
          return No_Element;
       else
-         return (Container'Access, To_Peek_Type (Index));
+         return (Container'Unchecked_Access, To_Peek_Type (Index));
       end if;
    end To_Cursor;
 
--- wisitoken-parse-lr-parser_lists.adb.orig	2020-04-29 12:51:49.129675340 +0000
+++ wisitoken-parse-lr-parser_lists.adb	2020-04-29 12:52:21.179556401 +0000
@@ -81,7 +81,7 @@
 
    function First (List : aliased in out Parser_Lists.List'Class) return Cursor
    is begin
-      return (Elements => List.Elements'Access, Ptr => List.Elements.First);
+      return (Elements => List.Elements'Unchecked_Access, Ptr => List.Elements.First);
    end First;
 
    procedure Next (Cursor : in out Parser_Lists.Cursor)
@@ -398,7 +398,7 @@
 
    function Iterate (Container : aliased in out List) return Iterator_Interfaces.Forward_Iterator'Class
    is begin
-      return Iterator'(Container => Container'Access);
+      return Iterator'(Container => Container'Unchecked_Access);
    end Iterate;
 
    function Has_Element (Iterator : in Parser_Node_Access) return Boolean
